Skip to main content
POST
/
api
/
v1
/
Payments
/
order-link
cURL
curl --request POST \
  --url https://vpos.payven.com.tr/api/v1/Payments/order-link \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json; ver=1.0' \
  --data '
{
  "amount": 123,
  "currency": "<string>",
  "installment": 123,
  "callbackUrl": "<string>",
  "returnUrl": "<string>",
  "description": "<string>",
  "externalId": "<string>",
  "customerEmail": "<string>",
  "customerPhone": "<string>",
  "extraProperties": {}
}
'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<string>",
    "isSuccess": true,
    "message": "<string>",
    "errorCode": "<string>",
    "providerErrorCode": "<string>",
    "extraProperties": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

amount
integer<int64>
currency
string | null
installment
integer<int32>
callbackUrl
string | null
returnUrl
string | null
description
string | null
externalId
string | null
customerEmail
string | null
customerPhone
string | null
extraProperties
object

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object